Bug 22194 - Add Koha::Exceptions::Metadata
Summary: Add Koha::Exceptions::Metadata
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 22144
  Show dependency treegraph
 
Reported: 2019-01-23 16:09 UTC by Tomás Cohen Arazi
Modified: 2019-02-01 15:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22194: Add Koha::Exceptions::Metadata (4.27 KB, patch)
2019-01-23 16:12 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22194: Add Koha::Exceptions::Metadata (4.34 KB, patch)
2019-01-24 11:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22194: Add Koha::Exceptions::Metadata (4.39 KB, patch)
2019-01-24 12:46 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-01-23 16:09:19 UTC
We need a base exceptions class for metadata objects. To be used in 22144
Comment 1 Tomás Cohen Arazi 2019-01-23 16:12:14 UTC
Created attachment 84335 [details] [review]
Bug 22194: Add Koha::Exceptions::Metadata

This trivial patch adds a basic Koha::Exceptions::Metadata exception and
Koha::Exceptions::Metadata::Invalid for using when the data cannot be
decoded (maybe because of incompatibility between format, schema, or
just bad data).

To test:
- Apply this patch
- Run:
  $ kshell
 k$ prove t/Koha/Exceptions.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Kyle M Hall 2019-01-24 11:36:31 UTC
Created attachment 84347 [details] [review]
Bug 22194: Add Koha::Exceptions::Metadata

This trivial patch adds a basic Koha::Exceptions::Metadata exception and
Koha::Exceptions::Metadata::Invalid for using when the data cannot be
decoded (maybe because of incompatibility between format, schema, or
just bad data).

To test:
- Apply this patch
- Run:
  $ kshell
 k$ prove t/Koha/Exceptions.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Josef Moravec 2019-01-24 12:46:35 UTC
Created attachment 84349 [details] [review]
Bug 22194: Add Koha::Exceptions::Metadata

This trivial patch adds a basic Koha::Exceptions::Metadata exception and
Koha::Exceptions::Metadata::Invalid for using when the data cannot be
decoded (maybe because of incompatibility between format, schema, or
just bad data).

To test:
- Apply this patch
- Run:
  $ kshell
 k$ prove t/Koha/Exceptions.t
=> SUCCESS: Tests pass!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2019-01-31 13:39:33 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-02-01 15:36:09 UTC
Enhancement, will not be backported to 18.11.x series.